bibzbladd(1)

NAME
bibzbladd.pl - add Zbl numbers to papers in a given bib file

SYNOPSIS
bibzbladd [-d] [-f] [-e 1|0] [-o output] bib_file

OPTIONS

-d  Debug mode

-e  If 1 (default), add an empty zblnumber if a zbl cannot be found. This prevents repeated searches for the same entries if you add new entries to the file. Calling "-e 0" suppresses this behavior.

-f  Force searching for Zbl numbers even if the entry already has one.

-o output
    Output file. If this option is not used, the name for the output file is formed by adding "_zbl" to the input file

DESCRIPTION
The script reads a BibTeX file. It checks whether the entries have Zbls. If not, tries to contact internet to get the numbers. The result is a BibTeX file with the fields "zblnumber=..." added.

The name of the output file is either set by the -o option or is derived by adding the suffix "_zbl" to the output file.

AUTHOR
Boris Veytsman

COPYRIGHT AND LICENSE
Copyright (C) 2014-2021 Boris Veytsman

This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.